/*------------------------------------------------------------------------ *
 * \file	evmomapl137_line.c                                             *
 * \brief	Read sample from AIC3106 and write sample to AIC3106           *
 * ----------------------------------------------------------------------- */

//  ======== Includes =======================================================
#include "evmomapl137.h"
#include "evmomapl137_aic3106.h"
#include "evmomapl137_mcasp.h"


//  ======== WriteDataToLineout ============================================
//  wait for receive ready and copy the sample to the output register
void WriteDataToLineout( Int16 dataIn )
{
	while (!( MCASP1_SRCTL5 & 0x10 ));
		MCASP1_XBUF5_32BIT = dataIn | 0x00000000;		// out the sample to line out and headphone channel left

	while (!( MCASP1_SRCTL5 & 0x10 ));
		MCASP1_XBUF5_32BIT = dataIn | 0x00000000;		// out the sample to line out and headphone channel right

	return;
}

//  ======== WriteDataToLineoutStereo ======================================
//  wait for receive ready and copy the sample to channels using slot 0,1
void WriteDataToLineoutStereo( Int16 dataInLeft, Int16 dataInRight )
{
	while ( !( MCASP1_SRCTL5 & 0x10 ));
		MCASP1_XBUF5_32BIT = dataInLeft | 0x00000000;		// out the sample to line out and headphone channel left

	while ( !( MCASP1_SRCTL5 & 0x10 ));
		MCASP1_XBUF5_32BIT = dataInRight | 0x00000000;		// out the sample to line out and headphone channel right

	return;
}

//  ======== WriteDataToLineoutLeft ======================================
//  wait for receive ready and copy the sample to left channel using slot 0
void WriteDataToLineoutLeft( Int16 dataInLeft )
{
	while ( !( MCASP1_SRCTL5 & 0x10 ));
		MCASP1_XBUF5_32BIT = dataInLeft | 0x00000000;		// Out the sample to line out and headphone CH2
// lignes commentes par KID car crant des Pb en sortie, Avril 2015
//	while ( !( MCASP1_SRCTL5 & 0x10 ));
//		MCASP1_XBUF5_32BIT = 0x00000000;		// // Out a dummy write to line out and headphone CH2

	return;
}

//  ======== WriteDataToLineoutStereo ======================================
//  wait for receive ready and copy the sample to right channel using slot 1
void WriteDataToLineoutRight( Int16 dataInRight )
{
	while ( !( MCASP1_SRCTL5 & 0x10 ));
		MCASP1_XBUF5_32BIT = 0x00000000;		// Out a dummy write to line out and headphone CH2
// lignes commentes par KID car crant des Pb en sortie, Avril 2015
//	while ( !( MCASP1_SRCTL5 & 0x10 ));
//		MCASP1_XBUF5_32BIT = dataInRight | 0x00000000;		// out the sample to line out and headphone channel right (CH1 or red wire)

	return;
}

//  ======== ReadDataFromLinein ==============================================
//  wait for receive ready and copy the sample of left channel to the input register
Int16 ReadDataFromLineinLeft( void )
{
	Int16 dataInLeft;

	while ( ! ( MCASP1_SRCTL0 & 0x20 ) );//&& ! ( MCASP1_RSLOT & 0x01 ) );
	if ( ( MCASP1_RSLOT & 0x01 ) == 0 );
		dataInLeft = MCASP1_RBUF0_32BIT;             // read sample from ADC

	return( dataInLeft );
} // don't work at this time !!!!

//  ======== ReadDataFromLinein ==============================================
//  wait for receive ready and copy the sample of right channel to the input register
Int16 ReadDataFromLineinRight( void )
{
	Int16 dataInRight;

	while ( ! ( MCASP1_SRCTL0 & 0x20 ) );
	if ( ( MCASP1_RSLOT & 0x01 ) == 1 );
		dataInRight = MCASP1_RBUF0_32BIT;             // read sample from ADC

	return( dataInRight );
}




