/*
 * evmomapl137_aic3106.h
 *
 *  Created on: 28 mars 2014
 *      Author: Regis Rousseau
 */

/*
 *  AIC3106 header file
 *
 */

#ifndef EVMOMAPL137_AIC3106_H_
#define EVMOMAPL137_AIC3106_H_

#include "evmomapl137.h"

/* ------------------------------------------------------------------------ *
 *  Left and Right ADC PGA Gain                                             *
 * ------------------------------------------------------------------------ */
#define ADC_GAIN_0DB 0
#define ADC_GAIN_3DB 6
#define ADC_GAIN_6DB 12
#define ADC_GAIN_9DB 18
#define ADC_GAIN_12DB 24
#define ADC_GAIN_15DB 30
#define ADC_GAIN_18DB 36
#define ADC_GAIN_21DB 42
#define ADC_GAIN_24DB 48
#define ADC_GAIN_27DB 54
#define ADC_GAIN_30DB 60
#define ADC_GAIN_33DB 66
#define ADC_GAIN_36DB 72
#define ADC_GAIN_39DB 78
#define ADC_GAIN_42DB 84
#define ADC_GAIN_45DB 90
#define ADC_GAIN_48DB 96
#define ADC_GAIN_51DB 102

/* ------------------------------------------------------------------------ *
 *  Left and Right Digital Volume                                           *
 * ------------------------------------------------------------------------ */
#define DAC_ATTEN_0DB 0
#define DAC_ATTEN_3DB 6
#define DAC_ATTEN_6DB 12
#define DAC_ATTEN_9DB 18
#define DAC_ATTEN_12DB 24
#define DAC_ATTEN_15DB 30
#define DAC_ATTEN_18DB 36
#define DAC_ATTEN_21DB 42
#define DAC_ATTEN_24DB 48

/* ------------------------------------------------------------------------ *
 *  AIC3106 Definitions                                                     *
 * ------------------------------------------------------------------------ */
#define AIC3106_PAGESELECT        0
#define AIC3106_RESET             1

/* ------------------------------------------------------------------------ *
 *  Prototypes                                                              *
 * ------------------------------------------------------------------------ */
void EVMOMAPL137_AIC3106_rset( Uint16 regnum, Uint16 regval );
void EVMOMAPL137_AIC3106_init( Uint16 adc_gain, Uint16 dac_atten, Uint16 fsAIC3106 );

#endif /* EVMOMAPL137_AIC3106_H_ */
