/*
 *  Copyright 2008 by Spectrum Digital Incorporated.
 *  All rights reserved. Property of Spectrum Digital Incorporated.
 */

/*
 *  Board Setup
 *
 */

#include "evmomapl137.h"
#include "evmomapl137_i2c.h"

/* ------------------------------------------------------------------------ *
 *                                                                          *
 *  EVMOMAPL137_wait( delay )                                                  *
 *                                                                          *
 *      Wait in a software loop for 'x' delay                               *
 *                                                                          *
 * ------------------------------------------------------------------------ */
void EVMOMAPL137_wait( Uint32 delay )
{
    volatile Uint32 i;
    for ( i = 0 ; i < delay ; i++ ){ };
}

/* ------------------------------------------------------------------------ *
 *                                                                          *
 *  EVMOMAPL137_waitusec( usec )                                               *
 *                                                                          *
 *      Wait in a software loop for 'x' microseconds                        *
 *                                                                          *
 * ------------------------------------------------------------------------ */
void EVMOMAPL137_waitusec( Uint32 usec )
{
    EVMOMAPL137_wait( usec * 3 );
}

/* ------------------------------------------------------------------------ *
 *                                                                          *
 *  EVMOMAPL137_init( )                                                        *
 *                                                                          *
 *      Setup I2C, MSP430, & I2C GPIO Expander                              *
 *                                                                          *
 * ------------------------------------------------------------------------ */
Int16 EVMOMAPL137_init( )
{
    /* PSC, PLL, DDR, & AEMIF are already configured in the GEL file.  Those
	 * settings are not re-initialized here */

	EVMOMAPL137_GPIO_init();                 // Initialize GPIO module
    EVMOMAPL137_I2C_init( );                 // Initialize I2C module

    return 0;
}
