/*
 *  Copyright 2008 by Spectrum Digital Incorporated.
 *  All rights reserved. Property of Spectrum Digital Incorporated.
 */

/*
 *  DIP Switches
 *
 */

#include "evmomapl137.h"
#include "evmomapl137_dip.h"
#include "evmomapl137_gpio.h"

/* ------------------------------------------------------------------------ *
 *                                                                          *
 *  _DIP_init( )                                                            *
 *      Initialize the DIP switch                                           *
 *                                                                          *
 * ------------------------------------------------------------------------ */
Int16 EVMOMAPL137_DIP_init( )
{
    Int16 retcode = 0;

     /* Enable Switch Inputs */
    EVMOMAPL137_GPIO_setDirection(  8, GPIO_IN );  // USER_SW1
    EVMOMAPL137_GPIO_setDirection(  9, GPIO_IN );  // USER_SW2
    EVMOMAPL137_GPIO_setDirection( 10, GPIO_IN );  // USER_SW3
    EVMOMAPL137_GPIO_setDirection( 11, GPIO_IN );  // USER_SW4

    return retcode;
}

/* ------------------------------------------------------------------------ *
 *                                                                          *
 *  _DIP_get( dip_num )                                                     *
 *      Get the DIP switch value                                            *
 *                                                                          *
 *      Inputs:                                                             *
 *              dip_num -> [DIP_0, DIP_1, DIP_2, DIP_3]                     *
 *                                                                          *
 *      Returns:                                                            *
 *              1 - DIP is HIGH                                             *
 *              0 - DIP is LOW                                              *
 *             -1 - Timeout                                                 *
 *                                                                          *
 * ------------------------------------------------------------------------ */
Int16 EVMOMAPL137_DIP_get( Int32 dip_num )
{
	switch (dip_num)
	{
        case 0:
            return EVMOMAPL137_GPIO_getInput(11);
        case 1:
            return EVMOMAPL137_GPIO_getInput(10);
        case 2:
            return EVMOMAPL137_GPIO_getInput(9);
        case 3:
		    return EVMOMAPL137_GPIO_getInput(8);
        default:
            return -1;
	}
}

